@import "variables";
@import "mixins";

.main-section {
  overflow-x: hidden;
  .wrapper {
    display: flex;
    flex-wrap: wrap;
    width: calc(360px * 6);
    transform: translateX(-180px);
    .item {
      width: 360px;
      height: 303px;
      position: relative;

      &:nth-child(1){
        @include galleryOverflow;
      }
      &:nth-child(3){
        @include galleryOverflow;
      }
      &:nth-child(5){
        @include galleryOverflow;
      }
      &:nth-child(8){
        @include galleryOverflow;
      }
      &:nth-child(10){
        @include galleryOverflow;
      }
      &:nth-child(12){
        @include galleryOverflow;
      }
      img {
        height: 100%;
        width: 100%;
      }
      .title_wrap{
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: 3;
        top: 0;
        left: 0;
        padding: 2rem 2.375rem;
        h1{
          font-size: 2.125rem;
          color: $white;
          text-transform: uppercase;
          line-height: 1.2;
          margin-bottom: 3rem;
          font-weight: bold;
        }
        p{
          font-size: 1.125rem;
          color: $white;
          line-height: 1.67;
          margin-bottom: 0;
        }
        &::after {
          display: block;
          content: '';
          height: 2px;
          width: 150px;
          background-color: $main-red;
          left: 0;
          top: 146px;
          position: absolute;
        }
      }
      .form_wrap{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(238, 49, 49, 0.85);
        padding: 2.375rem;
        z-index: 3;
        h2{
          font-size: 1.5rem;
          font-weight: 700;
          line-height: 1.2;
          margin-bottom: 28px;
          text-align: center;
          color: $white;
        }
        form{
          max-width: 230px;
          width: 100%;
          margin: 0 auto;
          .main-input{
            border-color: $mood-red;
            background-color: $mood-red;
            @include trans;
            &:focus,&:active{
              background-color: $white;
            }

            &::placeholder{
              color: $main-black;
            }
          }
        }
      }
    }
  }

}
